# Enum TFetchOrientation

java.lang.Object
java.lang.Enum<TFetchOrientation>
com.databricks.jdbc.model.client.thrift.generated.TFetchOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<TFetchOrientation>`, `java.lang.constant.Constable`, `org.apache.thrift.TEnum`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public enum TFetchOrientation extends Enum<TFetchOrientation> implements org.apache.thrift.TEnum

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FETCH_ABSOLUTE`
`FETCH_FIRST`
`FETCH_LAST`
`FETCH_NEXT`
`FETCH_PRIOR`
`FETCH_RELATIVE`

## Method Summary

Modifier and Type
Method
Description
`static TFetchOrientation`
`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`int`
`getValue()`
Get the integer value of this enum value, as defined in the Thrift IDL.
`static TFetchOrientation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TFetchOrientation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FETCH_NEXT

public static final TFetchOrientation FETCH_NEXT

### FETCH_PRIOR

public static final TFetchOrientation FETCH_PRIOR

### FETCH_RELATIVE

public static final TFetchOrientation FETCH_RELATIVE

### FETCH_ABSOLUTE

public static final TFetchOrientation FETCH_ABSOLUTE

### FETCH_FIRST

public static final TFetchOrientation FETCH_FIRST

### FETCH_LAST

public static final TFetchOrientation FETCH_LAST

## Method Details

### values

public static TFetchOrientation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TFetchOrientation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

### findByValue

public static TFetchOrientation findByValue(int value)
Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.